# How to configure EGOport

## Server configuration
The server configuration (also called serverconfig for short) contains all config variables that are used by the back-end server, like host or port number. It is stored in a `.env` file in the root of the project. An example `.env` file is supplied in the `.env.example` file. Here is a rundown of the configuration properties and their meaning:

- **NODE_ENV** - The environment in which this server is running. If you are developing new features, set this to `development`, otherwise set it to `production`. This mostly relates to handling errors and logging.
- **LOG_LEVEL** - Sets the level from which logs should appear in console.
- **API_HOST** - The IP, where the app will run.
- **API_PORT** - The port number, where the app will run.

## The config file
The main configuration of EGOport (called userconfig for short) contains all the configurable visible aspects. It is stored as a structured JSON file named `config.json` and stored in the root of the project.